> ## Documentation Index > Fetch the complete documentation index at: https://documents.revenova.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieves Queued Outbound EDI Events > GET endpoint for retrieving queued outbound EDI Events, with mixed EDI codes and payloads, returning the latest 1000 events ## OpenAPI ````json GET /services/apexrest/rtms/ediService { "openapi": "3.0.4", "info": { "title": "Revenova TMS EDI API", "version": "TMS Winter 26 - 7.22", "contact": { "name": "Revenova, LLC", "email": "help@revenova.com" } }, "servers": [ { "url": "https://{client_base_url}.my.salesforce.com", "description": "Salesforce org URL for the client", "variables": { "client_base_url": { "default": "client_base_url" } } } ], "paths": { "/services/apexrest/rtms/ediService": { "get": { "summary": "Retrieves Queued Outbound EDI Events", "description": "GET endpoint for retrieving queued outbound EDI Events, with mixed EDI codes and payloads, returning the latest 1000 events", "tags": [ "EDI" ], "security": [ { "OAuth2ClientCredentials": [] } ], "operationId": "getOutboundEDI", "parameters": [ { "name": "ediCode", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/ediCode" } }, { "name": "autoMarkAsSuccess", "in": "query", "description": "Control whether retrieving EDI transactions automatically marks them as success. Defaults to true if blank or not present. If false, the transactions will continue to be in the queue in pending until calling the PATCH endpoint to mark them as success.", "required": false, "schema": { "type": "boolean", "example": false } } ], "responses": { "200": { "description": "Valid authentication, valid parameters, no errors, all available outbound EDI Events to process are returned and marked as success", "content": { "application/json": { "schema": { "type": "object", "properties": { "ediCode": { "$ref": "#/components/schemas/ediCode" }, "inbound": { "type": "boolean", "example": false }, "ediProviderRetrievalDatetime": { "type": "string", "format": "date-time", "example": "2025-12-19T20:35:42.061Z" }, "ediTransactionId": { "type": "string", "example": "a19E2000005sxOPIAY" }, "payload": { "oneOf": [ { "$ref": "#/components/schemas/outboundEdi204" }, { "$ref": "#/components/schemas/outboundEdi990" }, { "$ref": "#/components/schemas/outboundEdi214" }, { "$ref": "#/components/schemas/outboundEdi210" } ], "discriminator": { "propertyName": "ediCode", "mapping": { "204": "#/components/schemas/outboundEdi204", "210": "#/components/schemas/outboundEdi210", "214": "#/components/schemas/outboundEdi214", "322": "#/components/schemas/outboundEdi214", "404": "#/components/schemas/outboundEdi204", "410": "#/components/schemas/outboundEdi210", "824": "#/components/schemas/outboundEdi990", "990": "#/components/schemas/outboundEdi990", "998": "#/components/schemas/outboundEdi204" } } } } }, "examples": { "204": { "value": [ { "ediCode": 204, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "carrierTradingPartnerId": "KLIQA", "scac": "FLSJ", "carrierScac": "AACT", "carrierQuoteId": "1122334455", "contractId": "QM11223344", "shipmentId": "12345", "purpose": "Original", "mode": "LTL", "equipmentType": "Dry Van 48'", "equipmentWeight": 1000, "equipmentWeightUnits": "kg", "containerNumber": "MAEU1234567", "specialInstructions": [ "Special Instructions" ], "poNum": "12345", "orderNum": "45678", "bolNum": "98765", "sealNumber": "123627", "paymentTerms": "Third Party", "respondByDate": "2015-12-23", "respondByTime": "03:30", "timeZone": "LT", "currencyCode": "USD", "cargoValue": 1000, "insuranceAmount": 800, "mileage": 56.24, "originalTerminalLocation": "CHICAGO NORTH (DSP)", "destinationTerminalLocation": "ERIE/YOUNGSTOWN (WARD)", "movementType": "60", "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "carrierBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "companyId": "0015000000VvAAAAB", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "customsBroker": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "notifyParty": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "ultimateShipper": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "timeZone": "LT", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "ultimateConsignee": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "timeZone": "LT", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "stops": [ { "stopNum": 1, "stopType": "pickup", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "stopInstructions": [ "Careful Handling", "Drop off at door" ], "timeZone": "LT", "company": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "companyId": "0015000000VvAAAAB" }, "contacts": [ { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } ], "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "accessorials": [ "Lift Gate Delivery", "After Hours Delivery" ] } ], "items": [ { "pickupStopNum": 1, "dropoffStopNum": 2, "itemNum": "3366468010001", "description": "Commodity", "handlingUnitCount": 1, "handlingUnits": "Boxes", "packagingUnitCount": 20, "packagingUnits": "Boxes", "weight": 12.1, "weightUnits": "kg", "volume": 34.2, "volumeUnits": "Cubic Feet", "length": 12.1, "width": 12.1, "height": 12.1, "dimensionUnits": "m", "nmfcClass": "55", "nmfcNum": "21652-02", "stccCode": "01132", "isHazMat": false, "hazMatContactName": "George Smith", "hazMatContactPhone": "312-555-9999", "hazMatContactEmail": "georgesmith@company.com", "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ], "charges": [ { "type": "Line Haul", "description": "Lift Gate Delivery", "amount": 1000 } ] } } ] }, "210": { "value": [ { "ediCode": 210, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "tradingPartnerId": "EDIC1", "shipmentId": "12345", "invoiceNum": "TESTINVNUM123", "loadNum": "L-10", "scac": "AACT", "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "containerNumber": "MAEU1234567", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "paymentTerms": "Third Party", "pickupDate": "2025-12-23", "deliveryDate": "2025-12-25", "invoiceDate": "2025-12-26", "currencyCode": "USD", "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "charges": [ { "type": "Line Haul", "description": "Net Line Haul", "code": "123", "qty": 1200, "rate": 1, "rateType": "Per Mile", "amount": 1200, "subAmount": 1200, "discount": 1200, "discountRate": 1200, "ltlCharge": true, "freightClass": "50", "lineItemDescription": "Steel Beams", "nmfcClass": "55", "nmfcNum": "21652-02", "stopNum": 2 } ], "taxes": [ { "taxName": "Sales Tax", "taxType": "GST", "taxIdNumber": "51-2144346", "taxRatePct": 0.08, "taxAmount": 12.45 } ], "stops": [ { "stopNum": 1, "stopType": "pickup", "stopInstructions": [ "Careful Handling", "Drop off at door" ], "company": { "companyName": "Test Company 1", "companyId": "KLIQA", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ], "items": [ { "pickupStopNum": 1, "dropoffStopNum": 2, "itemNum": "Item 1", "description": "Commodity AAA", "handlingUnitCount": 1, "handlingUnits": "Boxes", "packagingUnitCount": 20, "packagingUnits": "Boxes", "weight": 12.1, "weightUnits": "lbs", "volume": 34.2, "volumeUnits": "Cubic Feet", "length": 12.1, "width": 12.1, "height": 12.1, "dimensionUnits": "ft", "nmfcClass": "55", "nmfcNum": "21652-02", "isHazMat": false, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ] } } ] }, "214": { "value": [ { "ediCode": 214, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "tradingPartnerId": "EDIC1", "scac": "FLSJ", "shipmentId": "12345", "loadNum": "L-10", "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "containerNumber": "MAEU1234567", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "currentLocation": { "status": "In Transit", "stopNum": "2", "statusDate": "2025-12-24", "statusTime": "08:30", "timeZone": "LT", "city": "Boston", "state": "MA", "country": "US", "lat": 47.5292773045995, "lon": -87.20153829304499 }, "stops": [ { "stopNum": 1, "stopType": "pickup", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "stopInstructions": [ "Careful Handling", "Drop off at door" ], "timeZone": "LT", "company": { "companyName": "Test Company 1", "companyId": "KLIQA", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "events": [ { "status": "In Transit", "statusDate": "2025-12-24", "statusTime": "08:30", "timeZone": "LT", "reason": "BG", "lat": 47.5292773045995, "lon": -87.20153829304499 } ], "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ], "items": [ { "pickupStopNum": 1, "dropoffStopNum": 2, "itemNum": "Item 1", "description": "Commodity AAA", "handlingUnitCount": 1, "handlingUnits": "Boxes", "packagingUnitCount": 20, "packagingUnits": "Boxes", "weight": 12.1, "weightUnits": "lbs", "volume": 34.2, "volumeUnits": "Cubic Feet", "length": 12.1, "width": 12.1, "height": 12.1, "dimensionUnits": "ft", "nmfcClass": "55", "nmfcNum": "21652-02", "isHazMat": false, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ] } } ] }, "990": { "value": [ { "ediCode": 990, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "tradingPartnerId": "EDIC1", "shipmentId": "12345", "loadNum": "L-10", "status": "Accept", "declineReasonCode": "TTI", "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } } ] } } } } }, "206": { "description": "Valid authentication, valid parameters, no errors, but system detects more than the documented limit is available for processing - re-call the endpoint for more events.", "content": { "application/json": { "schema": { "type": "object", "properties": { "ediCode": { "$ref": "#/components/schemas/ediCode" }, "inbound": { "type": "boolean", "example": false }, "ediProviderRetrievalDatetime": { "type": "string", "format": "date-time", "example": "2025-12-19T20:35:42.061Z" }, "ediTransactionId": { "type": "string", "example": "a19E2000005sxOPIAY" }, "payload": { "oneOf": [ { "$ref": "#/components/schemas/outboundEdi204" }, { "$ref": "#/components/schemas/outboundEdi990" }, { "$ref": "#/components/schemas/outboundEdi214" }, { "$ref": "#/components/schemas/outboundEdi210" } ], "discriminator": { "propertyName": "ediCode", "mapping": { "204": "#/components/schemas/outboundEdi204", "210": "#/components/schemas/outboundEdi210", "214": "#/components/schemas/outboundEdi214", "322": "#/components/schemas/outboundEdi214", "404": "#/components/schemas/outboundEdi204", "410": "#/components/schemas/outboundEdi210", "824": "#/components/schemas/outboundEdi990", "990": "#/components/schemas/outboundEdi990", "998": "#/components/schemas/outboundEdi204" } } } } }, "examples": { "204": { "value": [ { "ediCode": 204, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "carrierTradingPartnerId": "KLIQA", "scac": "FLSJ", "carrierScac": "AACT", "carrierQuoteId": "1122334455", "contractId": "QM11223344", "shipmentId": "12345", "purpose": "Original", "mode": "LTL", "equipmentType": "Dry Van 48'", "equipmentWeight": 1000, "equipmentWeightUnits": "kg", "containerNumber": "MAEU1234567", "specialInstructions": [ "Special Instructions" ], "poNum": "12345", "orderNum": "45678", "bolNum": "98765", "sealNumber": "123627", "paymentTerms": "Third Party", "respondByDate": "2015-12-23", "respondByTime": "03:30", "timeZone": "LT", "currencyCode": "USD", "cargoValue": 1000, "insuranceAmount": 800, "mileage": 56.24, "originalTerminalLocation": "CHICAGO NORTH (DSP)", "destinationTerminalLocation": "ERIE/YOUNGSTOWN (WARD)", "movementType": "60", "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "carrierBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "companyId": "0015000000VvAAAAB", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "customsBroker": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "notifyParty": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "ultimateShipper": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "timeZone": "LT", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "ultimateConsignee": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "timeZone": "LT", "contact": { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } }, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "stops": [ { "stopNum": 1, "stopType": "pickup", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "stopInstructions": [ "Careful Handling", "Drop off at door" ], "timeZone": "LT", "company": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US", "companyId": "0015000000VvAAAAB" }, "contacts": [ { "contactName": "Felicia Wheaton", "phone": "555-555-5555", "fax": "666-666-6666", "email": "fwheaton@trucking.com" } ], "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "accessorials": [ "Lift Gate Delivery", "After Hours Delivery" ] } ], "items": [ { "pickupStopNum": 1, "dropoffStopNum": 2, "itemNum": "3366468010001", "description": "Commodity", "handlingUnitCount": 1, "handlingUnits": "Boxes", "packagingUnitCount": 20, "packagingUnits": "Boxes", "weight": 12.1, "weightUnits": "kg", "volume": 34.2, "volumeUnits": "Cubic Feet", "length": 12.1, "width": 12.1, "height": 12.1, "dimensionUnits": "m", "nmfcClass": "55", "nmfcNum": "21652-02", "stccCode": "01132", "isHazMat": false, "hazMatContactName": "George Smith", "hazMatContactPhone": "312-555-9999", "hazMatContactEmail": "georgesmith@company.com", "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ], "charges": [ { "type": "Line Haul", "description": "Lift Gate Delivery", "amount": 1000 } ] } } ] }, "210": { "value": [ { "ediCode": 210, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "tradingPartnerId": "EDIC1", "shipmentId": "12345", "invoiceNum": "TESTINVNUM123", "loadNum": "L-10", "scac": "AACT", "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "containerNumber": "MAEU1234567", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "paymentTerms": "Third Party", "pickupDate": "2025-12-23", "deliveryDate": "2025-12-25", "invoiceDate": "2025-12-26", "currencyCode": "USD", "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "charges": [ { "type": "Line Haul", "description": "Net Line Haul", "code": "123", "qty": 1200, "rate": 1, "rateType": "Per Mile", "amount": 1200, "subAmount": 1200, "discount": 1200, "discountRate": 1200, "ltlCharge": true, "freightClass": "50", "lineItemDescription": "Steel Beams", "nmfcClass": "55", "nmfcNum": "21652-02", "stopNum": 2 } ], "taxes": [ { "taxName": "Sales Tax", "taxType": "GST", "taxIdNumber": "51-2144346", "taxRatePct": 0.08, "taxAmount": 12.45 } ], "stops": [ { "stopNum": 1, "stopType": "pickup", "stopInstructions": [ "Careful Handling", "Drop off at door" ], "company": { "companyName": "Test Company 1", "companyId": "KLIQA", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ], "items": [ { "pickupStopNum": 1, "dropoffStopNum": 2, "itemNum": "Item 1", "description": "Commodity AAA", "handlingUnitCount": 1, "handlingUnits": "Boxes", "packagingUnitCount": 20, "packagingUnits": "Boxes", "weight": 12.1, "weightUnits": "lbs", "volume": 34.2, "volumeUnits": "Cubic Feet", "length": 12.1, "width": 12.1, "height": 12.1, "dimensionUnits": "ft", "nmfcClass": "55", "nmfcNum": "21652-02", "isHazMat": false, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ] } } ] }, "214": { "value": [ { "ediCode": 214, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "tradingPartnerId": "EDIC1", "scac": "FLSJ", "shipmentId": "12345", "loadNum": "L-10", "totalWeight": 5500, "weightUnits": "lbs", "totalVolume": 5500, "volumeUnits": "Cubic Feet", "containerNumber": "MAEU1234567", "customerBillTo": { "companyName": "Test Company 1", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ], "currentLocation": { "status": "In Transit", "stopNum": "2", "statusDate": "2025-12-24", "statusTime": "08:30", "timeZone": "LT", "city": "Boston", "state": "MA", "country": "US", "lat": 47.5292773045995, "lon": -87.20153829304499 }, "stops": [ { "stopNum": 1, "stopType": "pickup", "apptRequired": true, "expectedDate": "12-26-2025", "expectedTimeStart": "12:30", "expectedTimeEnd": "14:30", "stopInstructions": [ "Careful Handling", "Drop off at door" ], "timeZone": "LT", "company": { "companyName": "Test Company 1", "companyId": "KLIQA", "addr": "123 Test Street", "city": "Smalltown", "state": "MN", "zip": "12345", "country": "US" }, "events": [ { "status": "In Transit", "statusDate": "2025-12-24", "statusTime": "08:30", "timeZone": "LT", "reason": "BG", "lat": 47.5292773045995, "lon": -87.20153829304499 } ], "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ], "items": [ { "pickupStopNum": 1, "dropoffStopNum": 2, "itemNum": "Item 1", "description": "Commodity AAA", "handlingUnitCount": 1, "handlingUnits": "Boxes", "packagingUnitCount": 20, "packagingUnits": "Boxes", "weight": 12.1, "weightUnits": "lbs", "volume": 34.2, "volumeUnits": "Cubic Feet", "length": 12.1, "width": 12.1, "height": 12.1, "dimensionUnits": "ft", "nmfcClass": "55", "nmfcNum": "21652-02", "isHazMat": false, "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } ] } } ] }, "990": { "value": [ { "ediCode": 990, "inbound": false, "ediProviderRetrievalDatetime": "2025-12-19T20:35:42.061Z", "ediTransactionId": "a19E2000005sxOPIAY", "payload": { "tradingPartnerId": "EDIC1", "shipmentId": "12345", "loadNum": "L-10", "status": "Accept", "declineReasonCode": "TTI", "referenceNums": [ { "type": "PD", "text": "Pickup/Delivery Number", "value": "716263587126" } ] } } ] } } } } }, "400": { "description": "EDICode url param is not one of the available options we support", "content": { "text/plain": { "schema": { "type": "string", "example": "Bad request: EDI Code provided in url \"\" is not a supported EDI code (204, 404, 998, 990, 824, 214, 322, 210, 410)" } } } }, "401": { "description": "Unauthorized credentials. Provided by Salesforce.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Description of the error", "example": "Session expired or invalid" }, "errorcode": { "type": "string", "description": "Unique ID for the error", "example": "INVALID_SESSION_ID" } } } } } }, "403": { "description": "Forbidden User.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Description of the error", "example": "You do not have access to the Apex class named: EDIService" }, "errorcode": { "type": "string", "description": "Unique ID for the error", "example": "FORBIDDEN" } } } }, "text/plain": { "schema": { "type": "string" }, "examples": { "invalidContextUser": { "summary": "The context user set up in the connected app doesn't match any of the edi provider context users in TMS Admin, check setup.", "value": "Forbidden: Invalid EDI Context User" }, "nonMatchingProvider": { "summary": "The edi transaction whose status is attempted to be patched is not for the provider identified in authentication", "value": "Forbidden: EDI Transaction does not match provider" } } } } }, "500": { "description": "Catchall for any unexpected errors encountered when trying to queue edi events", "content": { "text/plain": { "schema": { "type": "string", "example": "Internal Server Error" } } } }, "503": { "description": "EDI Rest API isn't enabled in TMS Admin", "content": { "text/plain": { "schema": { "type": "string", "example": "Service Unavailable: Rest API not enabled for EDI in TMS Admin" } } } } } } } }, "components": { "schemas": { "ediCode": { "type": "integer", "description": "The EDI codes to send or receive in the body of the request.", "enum": [ 204, 990, 214, 210, 404, 998, 824, 322, 410 ], "example": 204 }, "outboundEdi204": { "type": "object", "description": "Outbound EDI 204 Shipment Load Tender.\n\nAlso handles outbound EDI 404 and 998 Load Tenders.\n", "properties": { "carrierTradingPartnerId": { "type": "string", "example": "KLIQA", "maxLength": 80, "description": "The trading partner identifier for the carrier receiving the load tender.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "carrierScac": { "type": "string", "example": "AACT", "maxLength": 6, "description": "The SCAC of the carrier receiving the load tender.\n\nMaps to Transportation Profile (object) -> SCAC (field) in Revenova TMS.\n" }, "carrierQuoteId": { "type": "string", "example": "1122334455", "maxLength": 100, "description": "The unique identification reference for the carrier quote. Falls back on Load Name\n\nMaps to one of the following in Revenova TMS:\n- Carrier Quote (object) -> Carrier Quote Reference (field)\n- Load (object) -> Name (field)\n" }, "contractId": { "type": "string", "example": "QM11223344", "maxLength": 100, "description": "The contract identification for the carrier quote.\n\nMaps to one of the following in Revenova TMS:\n- Carrier Quote (object) -> Contract Id (field)\n- Load (object) -> Name (field)\n" }, "shipmentId": { "type": "string", "example": "12345", "maxLength": 80, "description": "The unique identifier for the shipment load tender.\n\nMaps to Load (object) -> Load Number (field) in Revenova TMS.\n" }, "purpose": { "type": "string", "example": "Original", "description": "The purpose of the load tender (e.g., Original, Update, Cancellation).\n", "enum": [ "Original", "Update", "Cancellation" ] }, "mode": { "type": "string", "example": "LTL", "maxLength": 80, "description": "The mode of transportation for the shipment, from the carrier service on the carrier quote.\n\nMaps to Mode (object) -> Name (field) in Revenova TMS.\n" }, "equipmentType": { "type": "string", "example": "Dry Van 48'", "maxLength": 80, "description": "The type of equipment required for the shipment.\n\nMaps to Load (object) -> Equipment Type (field) in Revenova TMS.\n" }, "equipmentWeight": { "type": "number", "example": 1000, "format": "integer", "description": "The weight of the equipment type for the shipment.\n\nMaps to Load (object) -> Equipment Weight (field) in Revenova TMS.\n" }, "equipmentWeightUnits": { "type": "string", "enum": [ "lbs", "kg" ], "example": "kg", "description": "The weight units of the equipment type for the shipment.\n\nMaps to Load (object) -> Equipment Weight Units (field) in Revenova TMS.\n" }, "containerNumber": { "type": "string", "example": "MAEU1234567", "maxLength": 80, "description": "The number of the container/trailer for the shipment.\n\nMaps to Load (object) -> Container/Trailer Number (field) in Revenova TMS.\n" }, "specialInstructions": { "type": "array", "description": "A singleton list of special instructions for the shipment.\n\nMaps to Load (object) -> Other Instructions (field) in Revenova TMS.\n", "items": { "type": "string", "maxLength": 3000, "description": "A special instruction for the shipment." }, "example": [ "Special Instructions" ] }, "poNum": { "type": "string", "example": "12345", "maxLength": 100, "description": "The purchase order number associated with the shipment.\n\nMaps to Load (object) -> PO Number (field) in Revenova TMS.\n" }, "orderNum": { "type": "string", "example": "45678", "maxLength": 50, "description": "The order number associated with the shipment.\n\nMaps to Load (object) -> Order Number (field) in Revenova TMS.\n" }, "bolNum": { "type": "string", "example": "98765", "maxLength": 55, "description": "The bill of lading number for the shipment.\n\nMaps to Load (object) -> Bill of Lading Number (field) in Revenova TMS.\n" }, "sealNumber": { "type": "string", "example": "123627", "maxLength": 15, "description": "The seal number used in the shipment.\n\nMaps to Load (object) -> Seal Number (field) in Revenova TMS.\n" }, "paymentTerms": { "type": "string", "example": "Third Party", "description": "The payment terms for the shipment (e.g, Prepaid, Collect, Third Party).\n\nMaps to Load (object) -> Payment Terms (field) in Revenova TMS.\n", "enum": [ "Prepaid", "Collect", "Third Party" ] }, "respondByDate": { "type": "string", "format": "date", "example": "2015-12-23", "description": "The date by which the carrier must respond to the load tender. Date the outbound tender got created.\n\nFormat is YYYY-MM-DD.\n" }, "respondByTime": { "type": "string", "example": "03:30", "description": "The time by which the carrier must respond to the load tender. 2hrs after the tender got created.\n\nFormat is HH:MM in 24-hour format.\n" }, "timeZone": { "type": "string", "example": "LT", "description": "The time zone for the respond by time.\n\nAlways LT (Local Time)\n" }, "currencyCode": { "type": "string", "example": "USD", "maxLength": 3, "description": "The 3-character currency code for monetary values in the load tender.\n\nMaps to Carrier Quote (object) -> Currency ISO Code (field) in Revenova TMS.\n" }, "cargoValue": { "type": "number", "example": 1000, "description": "The declared value of the cargo being shipped.\n\nMaps to Load (object) -> Cargo Value (field) in Revenova TMS.\n" }, "insuranceAmount": { "type": "number", "example": 800, "description": "The amount of insurance coverage for the shipment.\n\nMaps to Load (object) -> Insurance Amount (field) in Revenova TMS.\n" }, "mileage": { "type": "number", "example": 56.24, "format": "decimal", "description": "The total mileage for the shipment.\n\nMaps to Load (object) -> Distance (Miles) (field) in Revenova TMS.\n" }, "originalTerminalLocation": { "type": "string", "example": "CHICAGO NORTH (DSP)", "maxLength": 255, "description": "The original terminal location of the shipment.\n\nMaps to Carrier Quote (object) -> Origin Terminal Location (field) in Revenova TMS.\n" }, "destinationTerminalLocation": { "type": "string", "example": "ERIE/YOUNGSTOWN (WARD)", "maxLength": 255, "description": "The destination terminal location of the shipment.\n\nMaps to Carrier Quote (object) -> Destination Terminal Location (field) in Revenova TMS.\n" }, "movementType": { "type": "string", "example": 60, "description": "Code for the type of movement, related to mode\n\nMaps to Carrier Quote (object) -> Movement Type (field) in Revenova TMS.\n", "enum": [ "Door to Door", "Door to Port", "Port to Door", "Port to Port", "15", "20", "22", "25", "27", "40", "42", "45", "47", "60", "62", "65", "67", "80", "82", "85", "87" ] }, "totalWeight": { "type": "number", "example": 5500, "description": "The total weight for the shipment.\n\nMaps to Load (object) -> Total Weight (field) in Revenova TMS:\n" }, "weightUnits": { "type": "string", "example": "lbs", "description": "The units of weight for the item (lbs or kg).\n\nMaps to Load (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ] }, "totalVolume": { "type": "number", "example": 5500, "description": "The total volume for the shipment.\n\nMaps to Load (object) -> Total Volume (field) in Revenova TMS:\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "customerBillTo": { "type": "object", "description": "The customer to be billed for the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Billing Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Billing City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Billing State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Billing Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Billing Country Code (field) in Revenova TMS.\n" }, "contact": { "type": "object", "description": "The contact person for the customer to be billed for the shipment.\n", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } } }, "carrierBillTo": { "type": "object", "description": "The company to be billed for the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" }, "companyId": { "type": "string", "example": "0015000000VvAAAAB", "maxLength": 18, "description": "The Salesforce unique identifier for the company.\n" }, "contact": { "type": "object", "description": "The contact to be billed to for the shipment.", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } } }, "customsBroker": { "type": "object", "description": "The customs broker associated with the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" }, "contact": { "type": "object", "description": "The customs broker contact for the shipment.", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } } }, "notifyParty": { "type": "object", "description": "The party to be notified about the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" }, "contact": { "type": "object", "description": "The contact to be notified about the shipment.", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } } }, "ultimateShipper": { "type": "object", "description": "The ultimate shipper of the load.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the ultimate shipper for the shipment.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the ultimate shipper for the shipment.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city of the ultimate shipper for the shipment.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the ultimate shipper is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the ultimate shipper for the shipment.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code of the ultimate shipper for the shipment, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" }, "apptRequired": { "type": "boolean", "example": true, "description": "Indicates whether an appointment is required for the ultimate shipper.\n\nMaps to Stop (object) -> Appointment Required (field) in Revenova TMS.\n" }, "expectedDate": { "type": "string", "format": "date", "example": "12-26-2025", "description": "The expected date for the ultimate shipper.\n\nFormat is YYYY-MM-DD.\n\nMaps to Stop (object) -> Expected Date (field) in Revenova TMS.\n" }, "expectedTimeStart": { "type": "string", "example": "12:30", "description": "The expected start time for the ultimate shipper.\n\nFormat is HH:MM.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time(field)\n" }, "expectedTimeEnd": { "type": "string", "example": "14:30", "description": "The expected end time for the ultimate shipper.\n\nFormat must be HH:MM.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time(field)\n" }, "timeZone": { "type": "string", "example": "LT", "description": "The time zone for the respond by time.\n\nAlways LT (Local Time)\n" }, "contact": { "type": "object", "description": "The contact of the ultimate shipper for the load.", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } } }, "ultimateConsignee": { "type": "object", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the ultimate consignee for the shipment.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the ultimate consignee for the shipment.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city of the ultimate consignee for the shipment.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the ultimate consignee is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the ultimate consignee for the shipment.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code of the ultimate consignee for the shipment, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" }, "apptRequired": { "type": "boolean", "example": true, "description": "Indicates whether an appointment is required for the ultimate consignee.\n\nMaps to Stop (object) -> Appointment Required (field) in Revenova TMS.\n" }, "expectedDate": { "type": "string", "format": "date", "example": "12-26-2025", "description": "The expected date for the ultimate consignee.\n\nFormat is YYYY-MM-DD.\n\nMaps to Stop (object) -> Expected Date (field) in Revenova TMS.\n" }, "expectedTimeStart": { "type": "string", "example": "12:30", "description": "The expected start time for the ultimate consignee.\n\nFormat is HH:MM.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time(field)\n" }, "expectedTimeEnd": { "type": "string", "example": "14:30", "description": "The expected end time for the ultimate consignee.\n\nFormat is HH:MM.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time(field)\n" }, "timeZone": { "type": "string", "example": "LT", "description": "The time zone for the respond by time.\n\nAlways LT (Local Time)\n" }, "contact": { "type": "object", "description": "The contact of the ultimate consignee for the load.", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } } }, "referenceNums": { "type": "array", "description": "A list of reference numbers for the stop.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the stop.\n", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD, PO, etc.).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The description/label of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } }, "stops": { "type": "array", "description": "A list of stops for the shipment.\n\nMaps to Stop (object) in Revenova TMS.\n", "items": { "type": "object", "properties": { "stopNum": { "type": "number", "example": 1, "format": "integer", "description": "The sequential number of the stop in the shipment.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" }, "stopType": { "type": "string", "description": "The type of stop (e.g., pickup, dropoff).\n\nMaps to one of the following in Revenova TMS:\n- For pickup stops: Stop (object) -> Is Pickup (field)\n- For dropoff stops: Stop (object) -> Is Dropoff (field)\n", "enum": [ "pickup", "dropoff" ], "example": "pickup" }, "apptRequired": { "type": "boolean", "example": true, "description": "Indicates whether an appointment is required for the stop.\n\nMaps to Stop (object) -> Appointment Required (field) in Revenova TMS.\n" }, "expectedDate": { "type": "string", "format": "date", "example": "12-26-2025", "description": "The expected date for the stop.\n\nFormat is YYYY-MM-DD.\n\nMaps to Stop (object) -> Expected Date (field) in Revenova TMS.\n" }, "expectedTimeStart": { "type": "string", "example": "12:30", "description": "The expected start time for the stop.\n\nFormat is HH:MM in 24-hour format.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time (field)\n" }, "expectedTimeEnd": { "type": "string", "example": "14:30", "description": "The expected end time for the stop.\n\nFormat is HH:MM in 24-hour format.\n\nMaps to Stop (object) -> Shipping/Receiving Hours (field) in Revenova TMS.\n" }, "stopInstructions": { "type": "array", "description": "A list of specific instructions for the stop.\n\nMaps to Stop (object) -> Instructions (field) in Revenova TMS.\n", "items": { "type": "string", "maxLength": 2000, "description": "A specific instruction for the stop." }, "example": [ "Careful Handling", "Drop off at door" ] }, "timeZone": { "type": "string", "example": "LT", "description": "The time zone for the respond by time.\n\nAlways LT (Local Time)\n" }, "company": { "type": "object", "description": "The company information for the stop.\n\nMaps to Account (object) in Revenova TMS.\n", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" }, "companyId": { "type": "string", "example": "0015000000VvAAAAB", "maxLength": 18, "description": "The Salesforce unique identifier for the company.\n" } } }, "contacts": { "type": "array", "description": "A list of contacts for the stop.\n\nMaps to Contact (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A contact person for the stop.\n", "properties": { "contactName": { "type": "string", "example": "Felicia Wheaton", "description": "The name of the contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "phone": { "type": "string", "example": "555-555-5555", "maxLength": 40, "description": "The phone number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "fax": { "type": "string", "example": "666-666-6666", "maxLength": 40, "description": "The fax number of the contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Fax (field) in Revenova TMS.\n" }, "email": { "type": "string", "format": "email", "example": "fwheaton@trucking.com", "maxLength": 80, "description": "The email address of the contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" } } } }, "referenceNums": { "type": "array", "description": "A list of reference numbers for the stop.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the stop.\n", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD, PO, etc.).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The description/label of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } }, "accessorials": { "type": "array", "description": "A list of accessorials related to the stop.\n", "items": { "type": "string", "description": "The accessorial related to the stop." }, "example": [ "Lift Gate Delivery", "After Hours Delivery" ] } } } }, "items": { "type": "array", "description": "A list of items being shipped in the load.\n", "items": { "type": "object", "description": "An item being shipped in the load.\n\nMaps to Line Item (object) in Revenova TMS.\n", "properties": { "pickupStopNum": { "type": "number", "example": 1, "format": "integer", "description": "The stop number where the item is picked up.\n\nMaps to Line Item (object) -> Pickup Stop (field) in Revenova TMS.\n" }, "dropoffStopNum": { "type": "number", "example": 2, "format": "integer", "description": "The stop number where the item is dropped off.\n\nMaps to Line Item (object) -> Delivery Stop (field) in Revenova TMS.\n" }, "itemNum": { "type": "string", "example": "3366468010001", "maxLength": 80, "description": "The unique identifier (SKU) for the item.\n\nMaps to Line Item (object) -> Name (field) in Revenova TMS.\n" }, "description": { "type": "string", "example": "Commodity", "maxLength": 255, "description": "The description of the item being shipped.\n\nMaps to Line Item (object) -> Description (field) in Revenova TMS.\n" }, "handlingUnitCount": { "type": "number", "example": 1, "format": "integer", "description": "The number of handling units for the item.\n\nMaps to Line Item (object) -> HU Count (field) in Revenova TMS.\n" }, "handlingUnits": { "$ref": "#/components/schemas/handlingUnits" }, "packagingUnitCount": { "type": "number", "example": 20, "format": "integer", "description": "The number of packaging units for the item.\n\nMaps to Line Item (object) -> PU Count (field) in Revenova TMS.\n" }, "packagingUnits": { "$ref": "#/components/schemas/packagingUnits" }, "weight": { "type": "number", "example": 12.1, "description": "The weight of the item.\n\nMaps to Line Item (object) -> Weight (field) in Revenova TMS.\n" }, "weightUnits": { "type": "string", "description": "The weight units for the item.\n\nMaps to Line Item (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ], "example": "kg" }, "volume": { "type": "number", "example": 34.2, "description": "The volume of the item.\n\nMaps to Line Item (object) -> Volume (field) in Revenova TMS.\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "length": { "type": "number", "example": 12.1, "format": "decimal", "description": "The length of the handling unit.\n\nMaps to Line Item (object) -> Length (field) in Revenova TMS.\n" }, "width": { "type": "number", "example": 12.1, "format": "decimal", "description": "The width of the handling unit.\n\nMaps to Line Item (object) -> Width (field) in Revenova TMS.\n" }, "height": { "type": "number", "example": 12.1, "format": "decimal", "description": "The height of the handling unit.\n\nMaps to Line Item (object) -> Height (field) in Revenova TMS.\n" }, "dimensionUnits": { "type": "string", "enum": [ "in", "cm", "ft", "m" ], "example": "m", "description": "The dimension units for the handling unit (e.g, in, cm, ft, m).\n\nMaps to Line Item (object) -> Dimension Units (field) in Revenova TMS.\n" }, "nmfcClass": { "type": "string", "example": "55", "description": "The NMFC class for the item (e.g., \"50\", \"55\", \"60\", etc.).\n\nMaps to Line Item (object) -> NMFC Class (field) in Revenova TMS.\n" }, "nmfcNum": { "type": "string", "example": "21652-02", "maxLength": 20, "description": "The NMFC code/subcode for the item.\n\nMaps to Line Item (object) -> NMFC Number (field) in Revenova TMS.\n" }, "stccCode": { "type": "string", "example": "01132", "description": "The Standard Transportation Commodity Code (STCC) Code for the item.\n\nMaps to Line Item (object) -> STCC Code (field) in Revenova TMS.\n" }, "isHazMat": { "type": "boolean", "example": false, "description": "Indicates whether the item is hazardous material.\n\nMaps to Line Item (object) -> HazMat (field) in Revenova TMS.\n" }, "hazMatContactName": { "type": "string", "example": "George Smith", "description": "The name of the hazardous material contact person.\n\nCombined First Name + Last Name. Max 80 characters first name, 40 characters for last name.\n\nMaps to the following in Revenova TMS:\n- Contact (object) -> First Name (field)\n- Contact (object) -> Last Name (field)\n" }, "hazMatContactPhone": { "type": "string", "example": "312-555-9999", "maxLength": 40, "description": "The phone number of the hazardous material contact person.\n\nFormat is XXX-XXX-XXXX.\n\nMaps to Contact (object) -> Phone (field) in Revenova TMS.\n" }, "hazMatContactEmail": { "type": "string", "example": "georgesmith@company.com", "maxLength": 80, "description": "The email address of the hazardous material contact person.\n\nMaps to Contact (object) -> Email (field) in Revenova TMS.\n" }, "referenceNums": { "type": "array", "description": "A list of reference numbers for the stop.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the stop.\n", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD, PO, etc.).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The description/label of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } } } } }, "charges": { "type": "array", "description": "A list of charges associated with the shipment.\n\nMaps to Carrier Quote (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A charge associated with the shipment.\n", "properties": { "type": { "type": "string", "example": "Line Haul", "description": "The type of charge (e.g., Line Haul, Fuel, Accessorial).\n\nMaps to Carrier Quote (object) in Revenova TMS.\n", "enum": [ "Line Haul", "Fuel", "Accessorial" ] }, "description": { "type": "string", "example": "Lift Gate Delivery", "maxLength": 80, "description": "The description of the charge, or Accessorial Name.\n\nMaps to Carrier Quote (object) in Revenova TMS.\n" }, "amount": { "type": "number", "example": 1000, "description": "The amount of the charge.\n\nMaps to Carrier Quote (object) in Revenova TMS.\n" } } } } } }, "outboundEdi210": { "type": "object", "description": "Outbound EDI 210 Motor Carrier Freight Details and Invoice.\n\nAlso handles outbound EDI 410 Rail Carrier Freight Details and Invoice.\n", "properties": { "tradingPartnerId": { "type": "string", "example": "EDIC1", "maxLength": 80, "description": "The trading partner ID of the carrier.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "shipmentId": { "type": "string", "example": "12345", "maxLength": 255, "description": "The unique identifier for the shipment load tender.\n\nMaps to the Load (object) field set in TMS Admin > Configuration > EDI Shipment ID in Revenova TMS.\n" }, "invoiceNum": { "type": "string", "example": "TESTINVNUM123", "maxLength": 100, "description": "The invoice number.\n\nMaps to one of the following in Revenova TMS:\n- Non-Accounting Seed: Customer Invoice (object) -> Name (field)\n- Accounting Seed: Billing (object) -> Proprietary Billing Number (field)\n- Accounting Seed: Billing (object) -> Name (field)\n" }, "loadNum": { "type": "string", "example": "L-10", "maxLength": 80, "description": "The load number associated with this invoice.\n\nMaps to Load (object) -> Load Number (field) in Revenova TMS.\n" }, "scac": { "type": "string", "example": "AACT", "maxLength": 10, "description": "The SCAC of the customer associated with the load.\n\nMaps to Load (object) -> EDI SCAC (field) in Revenova TMS.\n" }, "totalWeight": { "type": "number", "example": 5500, "description": "The total weight for the shipment.\n\nMaps to Load (object) -> Total Weight (field) in Revenova TMS:\n" }, "weightUnits": { "type": "string", "example": "lbs", "description": "The units of weight for the item (lbs or kg).\n\nMaps to Load (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ] }, "totalVolume": { "type": "number", "example": 5500, "description": "The total volume for the shipment.\n\nMaps to Load (object) -> Total Volume (field) in Revenova TMS:\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "containerNumber": { "type": "string", "example": "MAEU1234567", "maxLength": 80, "description": "The number of the container/trailer for the shipment.\n\nMaps to Load (object) -> Container/Trailer Number (field) in Revenova TMS.\n" }, "customerBillTo": { "type": "object", "description": "The customer to be billed for the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Billing Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Billing City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Billing State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Billing Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Billing Country Code (field) in Revenova TMS.\n" } } }, "paymentTerms": { "type": "string", "example": "Third Party", "description": "The payment terms for the invoice (e.g., Prepaid, Collect, Third Party).\n\nMaps to Load (object) -> Payment Terms (field) in Revenova TMS.\n", "enum": [ "Prepaid", "Collect", "Third Party" ] }, "pickupDate": { "type": "string", "format": "date", "example": "2025-12-23", "description": "The pickup date for the shipment.\n\nFormat is YYYY-MM-DD.\n\nMaps to Stop (object) -> Arrival Date (field) in Revenova TMS.\n" }, "deliveryDate": { "type": "string", "format": "date", "example": "2025-12-25", "description": "The delivery date for the shipment.\n\nFormat is YYYY-MM-DD.\n\nMaps to Stop (object) -> Departure Date (field) in Revenova TMS.\n" }, "invoiceDate": { "type": "string", "format": "date", "example": "2025-12-26", "description": "The date of the invoice.\n\nFormat is YYYY-MM-DD.\n\nMaps to one of the following in Revenova TMS:\n- Non-Accounting Seed: Customer Invoice (object) -> Invoice Date (field) in Revenova TMS.\n- Accounting Seed: Billing (object) -> Date (field).\n" }, "currencyCode": { "type": "string", "example": "USD", "maxLength": 3, "description": "The three-character ISO currency code for the invoice amounts, if multicurrency.\n\nMaps to one of the following in Revenova TMS:\n- Non-Accounting Seed: Customer Invoice (object) -> Currency ISO Code (field) in Revenova TMS.\n- Accounting Seed: Billing (object) -> Currency ISO Code (field).\n" }, "referenceNums": { "type": "array", "description": "A list of reference numbers associated with the invoice.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the shipment.", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD for Pickup/Delivery).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The text description of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } }, "charges": { "type": "array", "description": "A list of charges associated with the invoice.\n", "items": { "type": "object", "description": "A charge item associated with the invoice.", "properties": { "type": { "type": "string", "example": "Line Haul", "description": "The type of charge (e.g., Line Haul, Fuel, Accessorial).", "enum": [ "Line Haul", "Fuel", "Accessorial" ] }, "description": { "type": "string", "example": "Net Line Haul", "maxLength": 80, "description": "The description of the charge.\n\nMaps to one of the following in Revenova TMS:\n- Non-Accounting Seed: Customer Invoice Accessorial (object) -> Name (field)\n- Accounting Seed: Product (object) -> Name (field).\n- SMC3 LTL only: Customer Quote Freight Charge Item (object) -> Item Description (field)\n" }, "qty": { "type": "number", "example": 1200, "format": "decimal", "description": "The quantity for the charge item.\n\nMaps to one of the following in Revenova TMS:\n- SMC3 LTL only: Customer Quote Freight Charge Item (object) -> Weight (field)\n- Load (object) -> Distance (Miles) (field)\n- Customer Quote (object) -> Deficit Weight (field)\n- Customer Invoice (object) -> Freight Charge Quantity (field)\n- Customer Invoice (object) -> Fuel Surcharge Quantity (field)\n- Customer Invoice Accessorial (object) -> Quantity (field)\n- Accounting Seed: Billing Line (object) -> Hours/Units (field)\n" }, "rate": { "type": "number", "example": 1, "format": "decimal", "description": "The rate for the charge item.\n\nMaps to one of the following in Revenova TMS:\n- SMC3 LTL only: Customer Quote Freight Charge Item (object) -> Rate (field)\n- Customer Quote (object) -> Deficit Rate (field)\n- Customer Invoice (object) -> Freight Charge Unit Price (field)\n- Customer Invoice (object) -> Fuel Surcharge Unit Price (field)\n- Customer Invoice (object) -> Transportation Total - Fuel surcharge - Accessorial Charges - Adjustments (fields, to derive net freight charges)\n- Customer Invoice (object) -> Fuel Surcharge (field)\n- Customer Invoice Accessorial (object) -> Unit Price (field)\n- Accounting Seed: Billing Line (object) -> Rate (field)\n" }, "rateType": { "type": "string", "example": "Per Mile", "description": "The rate type for the charge item.\n\nMaps to one of the following in Revenova TMS:\n- Customer Quote (object) -> Freight Charge Unit (field)\n- Customer Invoice (object) -> Freight Charge Unit (field)\n- Customer Invoice (object) -> Fuel Surcharge Unit (field)\n- Customer Invoice Accessorial (object) -> Unit (field)\n- Accounting Seed: Billing Line (object) -> Unit (field)\n", "enum": [ "Fixed", "Flat Rate", "Fixed Cost", "Percent of Amount", "Percent of Freight", "Per Cubic Foot", "Per Cubic Meter", "Per Cwt", "Per Day", "Per Equipment Type", "Per Gallon", "Per Handling Unit", "Per Hour", "Per HU Position", "Per Kilogram", "Per Kilometer", "Per Linear Foot", "Per Liter", "Per Mile", "Per Packaging Unit", "Per Pound", "Per Square Foot", "Per Square Meter", "Per Stop", "Per Ton", "Per Volume Unit" ] }, "amount": { "type": "number", "example": 1200, "description": "The total amount for the charge item.\n\nMaps to various fields for the following objects in Revenova TMS:\n- Customer Invoice (object) -> Invoice Total (field)\n- Customer Invoice (object) -> Net Line Haul (field)\n- Customer Invoice (object) -> Fuel Surcharge (field)\n- Customer Invoice (object) -> Adjustments (field)\n- Customer Invoice (object) -> Accessorial Charges (field)\n- Customer Invoice Accessorial (object) -> Charge (field)\n- Customer Invoice Adjustment (object) -> Adjustment Amount (field)\n- Customer Invoice Tax (object) -> Tax Amount (field)\n- Customer Quote (object) -> Deficit Charge - (Discount / 100 x Deficit Charge) (fields)\n- Customer Quote Freight Charge Item (object) -> Freight Charge (field)\n- Customer Quote Freight Charge Item (object) -> Net Freight Charge (field)\n- Accounting Seed Billing (object) -> Total (field)\n- Accounting Seed Billing Line (object) -> Hours/Units * Rate (fields)\n" }, "subAmount": { "type": "number", "example": 1200, "description": "The subtotal amount for the charge item before discounts and taxes.\n\nMaps to one of the following in Revenova TMS:\n- Customer Quote Freight Charge Item (object) -> Freight Charge (field)\n- Customer Quote (object) -> Deficit Charge (field)\n" }, "discount": { "type": "number", "example": 1200, "description": "The discount amount for the charge item.\n\nMaps to one of the following in Revenova TMS:\n- Customer Quote Freight Charge Item (object) -> Discount Amount (field)\n- Customer Quote (object) -> Deficit Charge - (Discount / 100 x Deficit Charge) (fields)\n" }, "discountRate": { "type": "number", "example": 1200, "format": "decimal", "description": "The discount rate for the charge item.\n\nMaps to one of the following in Revenova TMS:\n- Customer Quote Freight Charge Item (object) -> Discount (field)\n- Customer Quote (object) -> Discount (field)\n" }, "ltlCharge": { "type": "boolean", "example": true, "description": "Indicates if the charge is an LTL charge. Only applies for Line Haul or Deficit charges.\n\nTrue for SMC3 LTL line haul charge and deficit charges. False for all other charges.\n" }, "freightClass": { "type": "string", "example": "50", "description": "The freight class associated with the charge item.\n\nWhen drawing from line items, takes the lowest NMFC class from the items on the load. Uses \"0\" for all non-NMFC items.\n\nMaps to one of the following in Revenova TMS:\n- Line Item (object) -> NMFC Class (field)\n- Customer Quote Freight Charge Item (object) -> NMFC Class (Rated As) (field)\n" }, "lineItemDescription": { "type": "string", "example": "Steel Beams", "maxLength": 255, "description": "The line item description associated with the charge item.\n\nUses \"Deficit\" for deficit charges\n\nMaps to Customer Quote Freight Charge Item (object) -> Item Description (field) in Revenova TMS.\n" }, "nmfcNum": { "type": "string", "example": "21652-02", "maxLength": 20, "description": "The NMFC number associated with the charge item.\n\nMaps to Line Item (object) -> NMFC Number (field) in Revenova TMS.\n" }, "stopNum": { "type": "number", "example": 2, "format": "integer", "description": "The stop number associated with the charge item.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" } } } }, "taxes": { "type": "array", "description": "A list of taxes associated with the invoice.", "items": { "type": "object", "description": "A tax item associated with the invoice.\n\nMaps to Customer Invoice Tax (object) or Accounting Seed: Billing Line (Object) in Revenova TMS.\n", "properties": { "taxName": { "type": "string", "example": "Sales Tax", "maxLength": 80, "description": "The name of the sales tax.\n\nMaps to one of the following in Revenova TMS:\n- Sales Tax (object) -> Name (field)\n- Accounting Seed: Product (object) -> Name (field)\n" }, "taxType": { "type": "string", "example": "GST", "description": "The type of sales tax.\n\nMaps to Sales Tax (object) -> Tax Type (field) in Revenova TMS.\n" }, "taxIdNumber": { "type": "string", "example": "51-2144346", "maxLength": 50, "description": "The tax identification number.\n\nMaps to Sales Tax (object) -> Tax ID Number (field) in Revenova TMS.\n" }, "taxRatePct": { "type": "number", "example": 0.08, "format": "decimal", "description": "The tax rate percentage.\n\nMaps to Customer Invoice Tax (object) -> Tax Rate (field) in Revenova TMS.\n" }, "taxAmount": { "type": "number", "example": 12.45, "description": "The tax amount to be paid.\n\nMaps to one of the following in Revenova TMS:\n- Customer Invoice Tax (object) -> Tax Amount (field)\n- Accounting Seed: Billing Line (object) -> Hours/Units * Rate (fields)\n" } } } }, "stops": { "type": "array", "description": "A list of stops associated with the invoice.", "items": { "type": "object", "description": "A stop associated with the shipment.\n\nMaps to Stop (object) in Revenova TMS.\n", "properties": { "stopNum": { "type": "number", "example": 1, "format": "integer", "description": "The stop number in the route.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" }, "stopType": { "type": "string", "example": "pickup", "description": "The type of stop.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Is Pickup (field)\n- Stop (object) -> Is Dropoff (field)\n", "enum": [ "pickup", "dropoff" ] }, "stopInstructions": { "type": "array", "description": "Special instructions for the stop. Total length of all instructions should not exceed 2000 characters.\n\nMaps to Stop (object) -> Instructions (field) in Revenova TMS.\n", "items": { "type": "string", "description": "A special instruction for the stop." }, "example": [ "Careful Handling", "Drop off at door" ] }, "company": { "type": "object", "description": "The company information for the stop.\n\nMaps to Account (object) in Revenova TMS.\n", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "companyId": { "type": "string", "example": "KLIQA", "maxLength": 50, "description": "The unique identifier for the company.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city of the company.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The ZIP or postal code of the company.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code of the company, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" } } }, "referenceNums": { "type": "array", "description": "A list of reference numbers associated with the stop.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the stop.", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD for Pickup/Delivery).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The text description of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } } } } }, "items": { "type": "array", "description": "A list of items associated with the invoice.", "items": { "type": "object", "description": "An item associated with the shipment.\n\nMaps to Line Item (object) in Revenova TMS.\n", "properties": { "pickupStopNum": { "type": "number", "example": 1, "format": "integer", "description": "The pickup stop number for the item.\n\nMaps to Line Item (object) -> Pickup Stop (field) in Revenova TMS.\n" }, "dropoffStopNum": { "type": "number", "example": 2, "format": "integer", "description": "The dropoff stop number for the item.\n\nMaps to Line Item (object) -> Delivery Stop (field) in Revenova TMS.\n" }, "itemNum": { "type": "string", "example": "Item 1", "maxLength": 80, "description": "The item number or SKU identifier.\n\nMaps to Line Item (object) -> Name (field) in Revenova TMS.\n" }, "description": { "type": "string", "example": "Commodity AAA", "maxLength": 255, "description": "The description of the item.\n\nMaps to Line Item (object) -> Description (field) in Revenova TMS.\n" }, "handlingUnitCount": { "type": "number", "example": 1, "format": "integer", "description": "The count of handling units for the item.\n\nMaps to Line Item (object) -> HU Count (field) in Revenova TMS.\n" }, "handlingUnits": { "$ref": "#/components/schemas/handlingUnits" }, "packagingUnitCount": { "type": "number", "example": 20, "format": "integer", "description": "The count of packaging units for the item.\n\nMaps to Line Item (object) -> PU Count (field) in Revenova TMS.\n" }, "packagingUnits": { "$ref": "#/components/schemas/packagingUnits" }, "weight": { "type": "number", "example": 12.1, "description": "The weight of the item.\n\nMaps to Line Item (object) -> Weight (field) in Revenova TMS.\n" }, "weightUnits": { "type": "string", "example": "lbs", "description": "The units of weight for the item (lbs or kg).\n\nMaps to Line Item (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ] }, "volume": { "type": "number", "example": 34.2, "description": "The volume of the item.\n\nMaps to Line Item (object) -> Volume (field) in Revenova TMS.\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "length": { "type": "number", "example": 12.1, "format": "decimal", "description": "The length of the item.\n\nMaps to Line Item (object) -> Length (field) in Revenova TMS.\n" }, "width": { "type": "number", "example": 12.1, "format": "decimal", "description": "The width of the item.\n\nMaps to Line Item (object) -> Width (field) in Revenova TMS.\n" }, "height": { "type": "number", "example": 12.1, "format": "decimal", "description": "The height of the item.\n\nMaps to Line Item (object) -> Height (field) in Revenova TMS.\n" }, "dimensionUnits": { "type": "string", "example": "ft", "description": "The units of dimension for the item (e.g., in, cm, ft, m).\n\nMaps to Line Item (object) -> Dimension Units (field) in Revenova TMS.\n", "enum": [ "in", "cm", "ft", "m" ] }, "nmfcClass": { "type": "string", "example": "55", "description": "The NMFC class for the item (e.g, \"50\", \"55\", \"60\", etc.).\n\nMaps to Line Item (object) -> NMFC Class (field) in Revenova TMS.\n" }, "nmfcNum": { "type": "string", "example": "21652-02", "maxLength": 20, "description": "The NMFC code/subcode for the item.\n\nMaps to Line Item (object) -> NMFC Number (field) in Revenova TMS.\n" }, "isHazMat": { "type": "boolean", "example": false, "description": "Indicates if the item is hazardous material.\n\nMaps to Line Item (object) -> HazMat (field) in Revenova TMS.\n" }, "referenceNums": { "type": "array", "description": "A list of reference numbers associated with the item.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the item.", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD for Pickup/Delivery).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "The text description of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } } } } } } }, "outboundEdi214": { "type": "object", "description": "Outbound EDI 214 Transportation Carrier Shipment Status Message.\n\nAlso handles outbound EDI 322 Terminal Operations and Intermodal Ramp Activity.\n", "properties": { "tradingPartnerId": { "type": "string", "example": "EDIC1", "maxLength": 80, "description": "The unique identifier for the trading partner (carrier) receiving the status message.\n\nMaps to EDI Location (object) -> Name (field) in Revenova TMS.\n" }, "shipmentId": { "type": "string", "example": "12345", "maxLength": 255, "description": "The unique identifier for the shipment load tender.\n\nMaps to the Load (object) field set in TMS Admin > Configuration > EDI Shipment ID in Revenova TMS.\n" }, "loadNum": { "type": "string", "example": "L-10", "maxLength": 80, "description": "The load number associated with this status message.\n\nMaps to Load (object) -> Load Number (field) in Revenova TMS.\n" }, "scac": { "type": "string", "example": "FLSJ", "maxLength": 10, "description": "The SCAC of the customer associated with the load.\n\nMaps to Load (object) -> EDI SCAC (field) in Revenova TMS.\n" }, "totalWeight": { "type": "number", "example": 5500, "description": "The total weight for the shipment.\n\nMaps to Load (object) -> Total Weight (field) in Revenova TMS:\n" }, "weightUnits": { "type": "string", "example": "lbs", "description": "The units of weight for the item (lbs or kg).\n\nMaps to Load (object) -> Weight Units (field) in Revenova TMS.\n", "enum": [ "lbs", "kg" ] }, "totalVolume": { "type": "number", "example": 5500, "description": "The total volume for the shipment.\n\nMaps to Load (object) -> Total Volume (field) in Revenova TMS:\n" }, "volumeUnits": { "$ref": "#/components/schemas/volumeUnits" }, "containerNumber": { "type": "string", "example": "MAEU1234567", "maxLength": 80, "description": "The number of the container/trailer for the shipment.\n\nMaps to Load (object) -> Container/Trailer Number (field) in Revenova TMS.\n" }, "customerBillTo": { "type": "object", "description": "The customer to be billed for the shipment.", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Billing Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Billing City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Billing State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Billing Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Billing Country Code (field) in Revenova TMS.\n" } } }, "referenceNums": { "type": "array", "description": "The list of reference numbers associated with this status message.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the shipment.", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD for Pickup/Delivery Number).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "A description of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } }, "currentLocation": { "type": "object", "description": "The current location details of the shipment.", "properties": { "status": { "type": "string", "example": "In Transit", "description": "The current status of the shipment (e.g., In Transit, Arrived, Departed, etc.).\n\nAlways In Transit if populated, since only In Transit sends currentLocation.\n" }, "stopNum": { "type": "string", "example": "2", "description": "The stop number associated with the current location status. Uses an integer format.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" }, "statusDate": { "type": "string", "format": "date", "example": "2025-12-24", "description": "The date associated with the current location status.\n\nFormat is YYYY-MM-DD.\n\nAlways the date the load status was generated.\n" }, "statusTime": { "type": "string", "example": "08:30", "description": "The time associated with the current location status.\n\nFormat is HH:MM in 24-hour time.\n\nAlways the time the load status was generated.\n" }, "timeZone": { "type": "string", "example": "LT", "description": "The timezone associated with the current location status.\n\nAlways LT (Local Time)\n" }, "city": { "type": "string", "example": "Boston", "maxLength": 40, "description": "The city associated with the current location status.\n\nMaps to Load (object) -> Last Reported City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MA", "maxLength": 2, "description": "The 2 character state code associated with the current location status.\n\nMaps to Load (object) -> Last Reported State/Province (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 2, "description": "The 2-character ISO country code associated with the current location status.\n\nMaps to Load (object) -> Last Reported Country (field) in Revenova TMS.\n" }, "lat": { "type": "number", "format": "decimal", "example": 47.5292773045995, "description": "The latitude associated with the current location status.\n\nMaps to Load (object) -> Last Reported Geolocation in Revenova TMS.\n" }, "lon": { "type": "number", "format": "decimal", "example": -87.20153829304499, "description": "The longitude associated with the current location status.\n\nMaps to Load (object) -> Last Reported Geolocation in Revenova TMS.\n" } } }, "stops": { "type": "array", "description": "A list of stops associated with the shipment.", "items": { "type": "object", "description": "A stop in the route of the shipment.\n\nMaps to Stop (object) in Revenova TMS.\n", "properties": { "stopNum": { "type": "number", "format": "integer", "example": 1, "description": "The sequential number of the stop in the shipment.\n\nMaps to Stop (object) -> Number (field) in Revenova TMS.\n" }, "stopType": { "type": "string", "example": "pickup", "description": "The type of stop (e.g., pickup, dropoff).\n\nMaps to one of the following in Revenova TMS:\n- For pickup stops: Stop (object) -> Is Pickup (field)\n- For dropoff stops: Stop (object) -> Is Dropoff (field)\n", "enum": [ "pickup", "dropoff" ] }, "apptRequired": { "type": "boolean", "example": true, "description": "Indicates whether an appointment is required for the stop.\n\nMaps to Stop (object) -> Appointment Required (field) in Revenova TMS.\n" }, "expectedDate": { "type": "string", "format": "date", "example": "12-26-2025", "description": "The expected date for the stop.\n\nFormat is YYYY-MM-DD.\n\nMaps to Stop (object) -> Expected Date (field) in Revenova TMS.\n" }, "expectedTimeStart": { "type": "string", "example": "12:30", "description": "The expected start time for the stop.\n\nFormat is HH:MM in 24-hour format.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Shipping/Receiving Hours (field)\n- Stop (object) -> Appointment Time (field)\n" }, "expectedTimeEnd": { "type": "string", "example": "14:30", "description": "The expected end time for the stop.\n\nFormat is HH:MM in 24-hour format.\n\nMaps to Stop (object) -> Shipping/Receiving Hours (field) in Revenova TMS.\n" }, "stopInstructions": { "type": "array", "description": "A list of specific instructions for the stop.\n\nMaps to Stop (object) -> Instructions (field) in Revenova TMS.\n", "items": { "type": "string", "maxLength": 2000, "description": "A specific instruction for the stop." }, "example": [ "Careful Handling", "Drop off at door" ] }, "timeZone": { "type": "string", "example": "LT", "description": "The time zone for the stop.\n\nAlways LT (Local Time)\n" }, "company": { "type": "object", "description": "The company information for the stop.\n\nMaps to Account (object) in Revenova TMS.\n", "properties": { "companyName": { "type": "string", "example": "Test Company 1", "maxLength": 255, "description": "The name of the company.\n\nMaps to Account (object) -> Name (field) in Revenova TMS.\n" }, "companyId": { "type": "string", "example": "KLIQA", "maxLength": 80, "description": "The unique identifier for the company." }, "addr": { "type": "string", "example": "123 Test Street", "maxLength": 255, "description": "The street address of the company.\n\nMaps to Account (object) -> Shipping Street (field) in Revenova TMS.\n" }, "city": { "type": "string", "example": "Smalltown", "maxLength": 40, "description": "The city where the company is located.\n\nMaps to Account (object) -> Shipping City (field) in Revenova TMS.\n" }, "state": { "type": "string", "example": "MN", "maxLength": 80, "description": "The 2 character state/province abbreviation where the company is located, or full state name if picklists are disabled.\n\nMaps to Account (object) -> Shipping State Code (field) in Revenova TMS.\n" }, "zip": { "type": "string", "example": "12345", "maxLength": 20, "description": "The postal code of the company's location.\n\nMaps to Account (object) -> Shipping Postal Code (field) in Revenova TMS.\n" }, "country": { "type": "string", "example": "US", "maxLength": 80, "description": "The 2-character ISO country code where the company is located, or full country name if picklists are disabled.\n\nMaps to Account (object) -> Shipping Country Code (field) in Revenova TMS.\n" } } }, "events": { "type": "array", "description": "A list of events that occurred at the stop.", "items": { "type": "object", "description": "The stop event and its location details.", "properties": { "status": { "type": "string", "example": "In Transit", "description": "The current status of the shipment (e.g., In Transit, Arrived, Departed, Appointment etc.).\n" }, "statusDate": { "type": "string", "format": "date", "example": "2025-12-24", "description": "The date associated with the current location status.\n\nFormat is YYYY-MM-DD.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Expected Date (field)\n- Stop (object) -> Arrival Date (field)\n- Stop (object) -> Departure Date (field)\n- Stop (object) -> Loading/Unloading Complete Date (field)\n" }, "statusTime": { "type": "string", "example": "08:30", "description": "The time associated with the current location status.\n\nFormat is HH:MM in 24-hour time.\n\nMaps to one of the following in Revenova TMS:\n- Stop (object) -> Appointment Time (field)\n- Stop (object) -> Arrival Time (field)\n- Stop (object) -> Departure Time (field)\n- Stop (object) -> Loading/Unloading Complete Time (field)\n" }, "timeZone": { "type": "string", "example": "LT", "description": "The timezone associated with the current location status.\n\nAlways LT (Local Time)\n" }, "reason": { "type": "string", "example": "BG", "maxLength": 2, "description": "The load status reason associated with the current location status.\n\nMaps to Stop (object) -> Carrier Status Reason (field) in Revenova TMS.\n" }, "lat": { "type": "number", "format": "decimal", "example": 47.5292773045995, "description": "The latitude associated with the current location status.\n\nMaps to one of the following in Revenova TMS:\n- Account (object) -> Shipping Latitude (field)\n- Load (object) -> Last Reported Geolocation\n" }, "lon": { "type": "number", "format": "decimal", "example": -87.20153829304499, "description": "The longitude associated with the current location status.\n\nMaps to one of the following in Revenova TMS:\n- Account (object) -> Shipping Longitude (field)\n- Load (object) -> Last Reported Geolocation (field)\n" } } } }, "referenceNums": { "type": "array", "description": "The list of reference numbers associated with this status message.\n\nMaps to Load Reference (object) in Revenova TMS.\n", "items": { "type": "object", "description": "A reference number associated with the shipment.", "properties": { "type": { "type": "string", "example": "PD", "maxLength": 30, "description": "The type of reference number (e.g., PD for Pickup/Delivery Number).\n\nMaps to Load Reference (object) -> Type (field) in Revenova TMS.\n" }, "text": { "type": "string", "example": "Pickup/Delivery Number", "maxLength": 100, "description": "A description of the reference number.\n\nMaps to Load Reference (object) -> Label (field) in Revenova TMS.\n" }, "value": { "type": "string", "example": "716263587126", "maxLength": 200, "description": "The value of the reference number.\n\nMaps to Load Reference (object) -> Value (field) in Revenova TMS.\n" } } } } } } }, "items": { "type": "array", "description": "A list of items associated with the shipment.", "items": { "type": "object", "description": "An item associated with the shipment.\n\nMaps to Line Item (object) in Revenova TMS.\n", "properties": { "pickupStopNum": { "type": "number", "format": "integer", "example": 1, "description": "The pickup stop number for the item.\n\nMaps to Line Item (
[...]
